/*
** This is the stylesheet that all wn apps should have
*/
:root {
  --white: #ffffff;
  --white_40: #ffffff66;
  --wn_gray_7: #f2f2f2;
  --wn_gray_7_40: #f2f2f266;
  --wn_gs_secondary_hover: #e6e6e6;
  --wn_gs_secondary_focus: #c0c0c0;
  --hmi_gs2: #e5e5e4;
  --hmi_gs50: #8e8f8f;
  --wn_gs80: #5f5f5f;
  --wn_gs90: #3c3c3c;
  --hmi_gs90: #1d1d1d;
  --black_25: #00000040;
  --black: #000000;
  --hmi_red: #ff2230;
  --hmi_red_dark: #b31822;
  --hmi_green: #8dc044;
  --hmi_green_dark: #658830;
  --hmi_blue: #009ee2;
  --hmi_blue_dark: #006e9d;
  --hmi_orange: #ff7d00;
  --hmi_orange_dark: #ae5c0e;
  --wacker_neuson_yellow: #ffd511;
  --wacker_neuson_yellow_hover: #d2aa00; /*as taken from wacker neuson website*/
  --weidemann_red: #d10019;
  --weidemann_red_hover: #a10013;
  --kramer_lw_green: #17806a;
  --kramer_lw_green_hover: #136856;
  --zero_emission_green: #00b54e;
}

@font-face {
  font-family: "HelveticaNeue";
  src: url("/assets/fonts/HelveticaNeueLTW05-55Roman.woff2") format("woff2"),
    url("/assets/fonts/HelveticaNeueLTW05-55Roman.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "HelveticaNeue";
  src: url("/assets/fonts/HelveticaNeueLTW05-75Bold.woff2") format("woff2"),
    url("/assets/fonts/HelveticaNeueLTW05-75Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "HelveticaNeue", Arial, sans-serif !important;
}

body {
  background-size: cover;
  background-repeat: no-repeat;
  margin: 0;
  background-position: 70% 100%;
  background-attachment: fixed;
}

body::before {
  content: "";
  position: fixed;
  top: 0;
  right: 0;
  width: 40rem;
  height: 100vh;
  backdrop-filter: blur(24px);
  background-color: rgba(255, 255, 255, 0.4);
  z-index: -1;
  pointer-events: none;
}

@supports (height: 100dvh) {
  body::before {
    height: 100dvh;
  }
}

/*to prevent lazy loading of the background images*/
body::after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  overflow: hidden;
  pointer-events: none;
  background-image: url("../assets/images/MyLogin_WackerNeuson.webp"),
    url("../assets/images/MyLogin_Kramer_LW.webp"),
    url("../assets/images/MyLogin_Kramer_BW.webp"),
    url("../assets/images/MyLogin_Weidemann.webp");
  background-repeat: no-repeat;
  background-size: 0 0;
}

footer {
  display: flex !important;
  flex-direction: column;
  position: relative;
  bottom: 0;
  left: 0;
  right: 0;
  margin-bottom: 0;
  margin-top: auto;
  margin-right: 0;
  margin-left: auto;
  font-family: "HelveticaNeue", Arial, sans-serif;
  padding-left: 6rem;
  padding-right: 6rem;
  color: #1d1d1d;
  vertical-align: middle;
  width: 40rem;
  height: 11rem;
  justify-content: center;
  gap: 0.5rem;
}

#loader {
  position: fixed;
  display: flex;
  left: 0;
  top: 0;
  z-index: 2;
  width: 100vw;
  height: 100vh;
  align-items: center;
  justify-content: center;
  backdrop-filter: blur(24px);
  background-color: rgba(255, 255, 255, 0.4);
  overflow: hidden;
}

.rammer-wrapper {
  display: flex;
  align-items: flex-end;
}

.rammer {
  width: 3rem;
  height: 3rem;
  background-image: url("../assets/images/VibratoryRammer.svg");
  background-repeat: no-repeat;
  background-size: contain;
  animation: ram-fast 0.1s infinite alternate;
}

.smoke {
  border-radius: 9999px;
  background-color: var(--wn_gs80);
  margin-right: 0.25rem;
}

.smoke-1 {
  width: 0.125rem;
  height: 0.125rem;
  animation: smoke-1 1s ease-in infinite;
}
.smoke-2 {
  width: 0.25rem;
  height: 0.25rem;
  animation: smoke-2 1s ease-in infinite;
}
.smoke-3 {
  width: 0.375rem;
  height: 0.375rem;
  margin-right: 0;
  animation: smoke-3 1s ease-in infinite;
}

@keyframes ram-fast {
  0%,
  100% {
    transform: scaleY(1) translateY(5%);
    animation-timing-function: ease-out;
  }
  50% {
    transform: scaleY(0.9) translateY(-5%);
    animation-timing-function: ease-out;
  }
}

@keyframes smoke-1 {
  0% {
    opacity: 0;
  }
  10%,
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes smoke-2 {
  0%,
  10% {
    opacity: 0;
  }
  20%,
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes smoke-3 {
  0%,
  20% {
    opacity: 0;
  }
  30%,
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.footer-content {
  display: flex;
  align-items: left;
  justify-content: center;
  flex-direction: column;
  text-align: start;
  max-width: 32rem;
  float: right;
}

footer .copyright {
  font-size: 0.875rem;
  font-weight: bold;
  text-transform: capitalize;
  color: #1d1d1d;
}

.footer-links,
.lang-links {
  list-style: none;
  display: flex;
  flex-flow: row wrap;
  align-items: start;
  justify-content: start;
}

.footer-links li,
.lang-links li {
  margin: 0 1rem 0 0;
}

.footer-links a,
.lang-links a {
  font-family: "HelveticaNeue", Arial, sans-serif;
  text-decoration: none;
  color: #1d1d1d;
  font-size: 0.875rem;
  transition: color 0.4s ease;
  opacity: 1;
}

.footer-links a:hover,
.lang-links a:hover {
  opacity: 0.8;
  cursor: pointer;
}

.footer-content hr {
  border-top: 3px solid #1d1d1d;
}

.solid {
  border-top: 0.7px solid #bbb;
  margin-bottom: 0.875rem;
  width: 80%;
  margin: auto;
}

@viewport {
  width: device-width;
  zoom: 1;
}

.wn-select {
  position: relative;
}

.wn-select::after,
.gigya-screen .gigya-password-icon {
  content: "";
  background-color: #5f5f5f;
  width: 1.25rem;
  height: 1.25rem;
  position: absolute;
  display: inline-block;
}

.wn-select::after {
  -webkit-mask-image: url("../assets/images/SelectArrow.svg");
  mask-image: url("../assets/images/SelectArrow.svg");
  top: 50%;
  transform: translateY(-50%);
  right: 1rem;
  pointer-events: none;
}

.wn-select:hover:after,
.gigya-screen .gigya-password-icon:hover {
  background-color: #1d1d1d;
}

.gigya-screen
  .gigya-composite-control-password-peek[data-show-password="true"]
  .gigya-password-icon {
  -webkit-mask-image: url("../assets/images/ShowPW.svg");
  mask-image: url("../assets/images/ShowPW.svg");
  pointer-events: all;
}

.gigya-screen
  .gigya-composite-control-password-peek[data-show-password="false"]
  .gigya-password-icon {
  -webkit-mask-image: url("../assets/images/HidePW.svg");
  mask-image: url("../assets/images/HidePW.svg");
  pointer-events: all;
}

.mylogin-subheader {
  font-size: 1.25rem !important;
  padding-bottom: 0px !important;
}

.text-bold {
  font-weight: bold;
}

.padding-0 {
  padding: 0 0 0 0 !important;
  padding-left: 0 !important;
  padding-top: 0 !important;
  padding-right: 0 !important;
  padding-bottom: 0 !important;
}

@media (max-width: 1280px) {
  body::before {
    width: 32rem;
  }

  footer {
    width: 32rem;
    padding-left: 3rem;
    padding-right: 3rem;
  }

  .footer-links li,
  .lang-links li {
    margin: 0 0.5rem 0 0;
  }

  .wn-select::after {
    -webkit-mask-image: url("../assets/images/SelectArrowSmall.svg");
    mask-image: url("../assets/images/SelectArrowSmall.svg");
    width: 1rem;
    height: 1rem;
  }

  .gigya-screen
    .gigya-composite-control-password-peek[data-show-password="true"]
    .gigya-password-icon {
    -webkit-mask-image: url("../assets/images/ShowPWSmall.svg");
    mask-image: url("../assets/images/ShowPWSmall.svg");
    width: 1rem;
    height: 1rem;
  }

  .gigya-screen
    .gigya-composite-control-password-peek[data-show-password="false"]
    .gigya-password-icon {
    -webkit-mask-image: url("../assets/images/HidePWSmall.svg");
    mask-image: url("../assets/images/HidePWSmall.svg");
    width: 1rem;
    height: 1rem;
  }

  .mylogin-subheader {
    font-size: 1rem !important;
  }
}

@media (max-width: 549px) {
  body {
    background-position: 40% 100%;
  }

  body::before {
    width: 100%;
  }

  footer {
    width: 100%;
    height: 8rem;
    padding-left: 2rem;
    padding-right: 2rem;
  }

  footer .copyright {
    font-size: 0.75rem;
  }

  .footer-links a,
  .lang-links a {
    font-size: 0.75rem;
  }

  .mylogin-subheader {
    font-size: 0.875rem !important;
  }
}

#current_env {
  color: red;
  position: absolute !important;
  display: block !important;
}
